Get Besu Instance Details

get

/api/v1/besu/instance/{id}

Get details for a particular Besu instance.

Request

Path Parameters
Header Parameters
Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : BesuInstanceDetails
Full Besu instance details.
Match All
Full Besu instance details.
Full Besu instance details.
Show Source
Nested Schema : BesuInstanceSummary
Type: object
Besu Instance summary.
Show Source
Nested Schema : BesuInstanceDetails-allOf[1]
Type: object
Show Source
Nested Schema : components
Type: array
Show Source
Nested Schema : LdapConfigDetail
Type: object
LDAP Configuration details
Show Source
Nested Schema : BesuComponent
Type: object
Besu component details.
Show Source
Nested Schema : backupHosts
Type: array
Maximum Number of Items: 2
List of backup domain controllers for AD
Show Source

400 Response

Bad Request
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source

401 Response

Unauthorized
Body ()
Root Schema : AuthError
Type: object
Authentication or authorization error returned by request filters.
Show Source

403 Response

Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Body ()
Root Schema : AuthError
Type: object
Authentication or authorization error returned by request filters.
Show Source

404 Response

Not Found
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source
Back to Top